Linux.中国 - 开源社区

 找回密码
 骑士注册

QQ登录

微博登录


openSUSE 的内核安全加固项目:gardened

2015-5-27 15:22    评论: 1    

随着后棱镜时代的阴影袭来,更多的自由软件狂热分子意识到对抗大规模监控在技术上的利器还是那对孪生兄弟:系统安全和密码工程。

PaX/Grsecurity自从诞生之日起就成为了内核安全的代名词,由于一些"操蛋"的原因,PaX/Grsecurity并没有进入Linux内核主线,但这并不影响PaX/Grsecurity在内核安全领域的地位。最早支持PaX/Grsecurity的发行版是AlpineGentoo,因为棱镜事件,Debian社区也发起了Mempo项目,Mempo其中内核部分的加固就是PaX/Grsecurity。

最近kdave在openSUSE社区也发起了名为"openSUSE gardened"的安全加固项目,目前PaX/Grsecurity在openSUSE 13.1上已经能运行,版本包括3.2.x和3.14.x两个stable版,linux内核4.x还在测试中。据kdave介绍,他受到了Mempo项目的启发想让openSUSE用户至少有安全的选择,目前他是花业余时间在做openSUSE gardened项目。

发表评论


最新评论

我也要发表评论

FancyGod 2015-5-27 20:46
kdave不是btrfs的maintainer之一吗?
回复
返回顶部

分享到微信朋友圈

打开微信,点击底部的“发现”,
使用“扫一扫”将网页分享至朋友圈。